Loading...
Searching...
No Matches
aligned_sequence Interface Reference
Sequence Alignment » Aligned Sequence

The generic concept for an aligned sequence. More...

`#include <seqan3/alignment/aligned_sequence/aligned_sequence_concept.hpp>`

Inheritance diagram for aligned_sequence:
[legend]

## Detailed Description

The generic concept for an aligned sequence.

This concept describes the requirements a sequence must fulfil in order to represent a sequence in an alignment.

The type needs to model seqan3::sequence and the reference type must be comparable to seqan3::gap.

### Concepts and doxygen

The requirements for this concept are given as related functions and type traits. Types that model this concept are shown as "implementing this interface".

The documentation for this interface was generated from the following file:

- aligned_sequence_concept.hpp

Hide me